Mailinglist Archive: opensuse (3767 mails)

< Previous Next >
Re: [SLE] 2/2 OpenSSH update broke openssh
  • From: Marcus Meissner <meissner@xxxxxxx>
  • Date: Thu, 16 Feb 2006 13:51:22 +0100
  • Message-id: <20060216125122.GB18053@xxxxxxx>
On Fri, Feb 03, 2006 at 01:04:31PM -0600, Kent Yoder wrote:
> Hi,
>
> Has anyone else experienced openssh breaking after the 2/2 YOU
> update of openssh on Suse 9.3 pro?
>
> ssh: error while loading shared libraries: libkafs.so.0: cannot open shared
> object file: No such file or directory
>
> ssh now has several missing dependencies:
>
> ennui:/home/key # ldd `which ssh`
> linux-gate.so.1 => (0xffffe000)
> libkafs.so.0 => not found
> libresolv.so.2 => /lib/libresolv.so.2 (0x40032000)
> libcrypto.so.0.9.7 => /usr/lib/libcrypto.so.0.9.7 (0x40045000)
> libutil.so.1 => /lib/libutil.so.1 (0x40138000)
> libz.so.1 => /lib/libz.so.1 (0x4013c000)
> libnsl.so.1 => /lib/libnsl.so.1 (0x4014d000)
> libcrypt.so.1 => /lib/libcrypt.so.1 (0x40163000)
> libgssapi.so.1 => not found
> libkrb5.so.17 => not found
> libasn1.so.6 => not found
> libroken.so.16 => not found
> libc.so.6 => /lib/tls/libc.so.6 (0x40196000)
> libdl.so.2 => /lib/libdl.so.2 (0x402af000)
> /lib/ld-linux.so.2 (0x40000000)
>
> Searching yast2 for a provider of the libkafs.so.0 yields no results.
>
> The openssh packages was updated from version 3.9p1-12 to 4.1p1-11.13.

This cannot be, the update still contains the version 3.9p1 (+security patch).

Can you do cat /etc/SuSE-release and check if it really say "9.3" ?

And what does report:
rpm -qif `which ssh`
rpm -q --changelog -f `which ssh`

Ciao, Marcus

< Previous Next >
References